Tweak crb script, Recommends dnf-command(config-manager) (#2115602)

epel8
Troy Dawson 2 years ago
parent 61026af609
commit 198ffc42d6

7
crb

@ -46,6 +46,13 @@ enable_disable_repo(){
# Only RHEL has a repo with codeready in it, use subcription-manager # Only RHEL has a repo with codeready in it, use subcription-manager
subscription-manager repos ${command} ${crb_repo} subscription-manager repos ${command} ${crb_repo}
else else
# Determine if dnf-command(config-manager) is installed
if ! rpm -q --whatprovides 'dnf-command(config-manager)' > /dev/null 2>&1 ; then
echo "Error: Please run: dnf install 'dnf-command(config-manager)'" >&2
echo " before trying to enable/disable the CRB repo." >&2
echo "Aborting"'!' >&2
exit 1
fi
# Everything else uses dnf config-manager # Everything else uses dnf config-manager
dnf config-manager ${command} ${crb_repo} dnf config-manager ${command} ${crb_repo}
fi fi

@ -1,6 +1,6 @@
Name: epel-release Name: epel-release
Version: 8 Version: 8
Release: 16%{dist} Release: 17%{dist}
Summary: Extra Packages for Enterprise Linux repository configuration Summary: Extra Packages for Enterprise Linux repository configuration
License: GPLv2 License: GPLv2
@ -30,6 +30,9 @@ BuildArch: noarch
Requires: redhat-release >= %{version} Requires: redhat-release >= %{version}
# epel-release is only for enterprise linux, not fedora # epel-release is only for enterprise linux, not fedora
Conflicts: fedora-release Conflicts: fedora-release
# crb needs config-manager to run
# But only recommend it, incase people do not need crb
Recommends: dnf-command(config-manager)
Recommends: (epel-next-release if centos-stream-release) Recommends: (epel-next-release if centos-stream-release)
@ -95,6 +98,9 @@ fi
%changelog %changelog
* Tue Aug 09 2022 Troy Dawson <tdawson@redhat.com> - 8-17
- Tweak crb script, Recommends dnf-command(config-manager) (#2115602)
* Thu Jun 30 2022 Troy Dawson <tdawson@redhat.com> - 8-16 * Thu Jun 30 2022 Troy Dawson <tdawson@redhat.com> - 8-16
- Add crb script - Add crb script

Loading…
Cancel
Save